
Infrastructure - Task #2455

Bug # 2449 (Closed): knb unicode identifier create and get failures

identifiers with supplementary unicode characters not mn.create()

2012-03-07 20:36 - Rob Nahf

Status: Rejected Start date: 2012-03-07

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 0%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

traced this back to a problem with serializing systemmetadata just prior to adding it to the file part of the request.

TypeMarshaller does specify UTF-8.

got this message:

"class java.io.IOException: Illegal character code 0xd800 in content text" 

exception thrown in mtx.marshallDocument(typeObject) in TypeMarshaller.marshalTypeToOutputStream().

probably a low priority for current release, as limited to only supplementary characters.

History

#1 - 2012-03-09 18:24 - Robert Waltz

See Bug #1141, Task #1142 . This appears to be a duplicate of that issue that has been deferred until after the rollout.

#2 - 2012-03-09 18:27 - Ben Leinfelder

This is the test hat is failing:

Test 27: Error: create: common-unicode-supplementary-escaped-????

#3 - 2012-03-09 18:31 - Robert Waltz

- Status changed from New to Rejected

Confirmed to be a duplicate
